Labeeb Panampullan Labeeb Panampullan - 3 years ago 146
Android Question

Project from https://android.googlesource.com

If I download a project from https://android.googlesource.com to what Android API version will it be compatable ?

I have cloned a project.

Then created a project in

Eclipse
in that name with its
res
,
src
and
manifest.xml
, but still its shows error with some variables declaration missing , some functions arguments changed/not correct etc.

Any idea?

I'm using
sdk_r08
, and
android 2.3
project working well.

Does the project from https://android.googlesource.com need any dependent files? If so what do I need to get those files?

Is there any extra arguments that I can set in
git clone
to get the project in a specific version?

Answer Source

You need to use the repo tool , then you can use the -b parameter to checkout a specific branch, see repo documentation for examples.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download